Bug 38847 - Focus in Explorer but Properties still selected
Focus in Explorer but Properties still selected
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC All
: P2 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 17:42 UTC by Lukas Hasik
Modified: 2008-12-22 16:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2004-01-15 17:42:11 UTC
200401141900, jdk1.4.2

-open Properties, select last property in
Properties window
-press 'TAB'
-you move from last row in Properties to Explorer
-you can move in Explorer tree

-WS thinks that focus is still in Properties
window -> PW is still selected, and PW doesnt
refresh when you are moving in Explorer
Comment 1 Peter Zavadsky 2004-01-16 09:30:51 UTC
Is it selected or compact mode?
Comment 2 Peter Zavadsky 2004-01-16 09:40:45 UTC
Tim, I was told you are requesting focus for some component which
makes this issue.

Please, don't do that. Winsys doesn't listen on focus changes and you
cannot change the activated component that way.

To control winsys is possible only thru its API... use TC.requestActive().
Comment 3 _ tboudreau 2004-01-16 11:10:46 UTC
Okay.  But I'm curious how you handle Ctrl-Tab for moving between
components - this is the equivalent, it just allows tabbing from the
last property to tab into the next component, so however that works,
this should work the same way.

Basically there is special Tab handling in the property sheet because:
 - Tab should not switch between selected cells because we don't show
any cell selection, only row selection - having the name of a property
selected doesn't mean anything, it would just mean that every second
time the user presses tab it looks like nothing happens

 - Tab normally just cycles through the rows; for the property sheet,
tabbing/shift-tabbing on the first/last property will transfer focus
up/downward as defined by the parent FocusTraversalPolicy
Comment 4 _ tboudreau 2004-01-19 17:23:58 UTC
Just needs a 1-line fix in the property sheet to keep focus in the 
table if the top level ancestor is not a dialog.
Comment 5 _ tboudreau 2004-01-21 07:33:02 UTC
Fixed on my laptop, will commit later today.
Comment 6 _ tboudreau 2004-01-21 21:10:52 UTC
Fixed in trunk.
Comment 7 Lukas Hasik 2004-02-13 17:11:21 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo